SDL_RenderTexture(3)

NAME
SDL_RenderTexture - Copy a portion of the texture to the current rendering target at subpixel precision.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_RenderTexture(SDL_Renderer *renderer, SDL_Texture *texture, const SDL_FRect *srcrect, const SDL_FRect *dstrect);

FUNCTION PARAMETERS

renderer
    The renderer which should copy parts of a texture.

texture
    The source texture.

srcrect
    A pointer to the source rectangle, or NULL for the entire texture.

dstrect
    A pointer to the destination rectangle, or NULL for the entire rendering target.

RETURN VALUE
Returns 0 on success, or -1 on error

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_RenderTextureRotated(3)